using Exam.Infrastructure.Data.Interface;
using Hotline.Share.Enums.Exams;
using System.ComponentModel;

namespace Hotline.Share.Requests.Exam
{
    public record ExtractRulePagedRequest:PagedRequest,IQueryRequest
    {
        /// <summary>
        /// 规则编号
        /// </summary>
        [Description("规则编号")]
        public string Code { get; set; }

        /// <summary>
        /// 规则名称
        /// </summary>
        [Description("规则名称")]
        public string Name { get; set; }

        /// <summary>
        /// 考试类型
        /// </summary>
        [Description("考试类型")]
        public EExamType? ExamType { get; set; }

        /// <summary>
        /// 开启状态
        /// </summary>
        [Description("开启状态")]
        public EPublicStatus? Status { get; set; }
    }

    public record ExtractRuleRequest: IQueryRequest
    {
        /// <summary>
        /// 规则编号
        /// </summary>
        [Description("规则编号")]
        public string Code { get; set; }

        /// <summary>
        /// 规则名称
        /// </summary>
        [Description("规则名称")]
        public string Name { get; set; }

        /// <summary>
        /// 考试类型
        /// </summary>
        [Description("考试类型")]
        public EExamType? ExamType { get; set; }
    }
}
